import request from '@/utils/request'

// 查询出库明细库存关联列表
export function listWmsOutboundItemInventory(query) {
  return request({
    url: '/ware/wmsOutboundItemInventory/list',
    method: 'get',
    params: query
  })
}

// 查询出库明细库存关联详细
export function getWmsOutboundItemInventory(relationId) {
  return request({
    url: '/ware/wmsOutboundItemInventory/' + relationId,
    method: 'get'
  })
}

// 新增出库明细库存关联
export function addWmsOutboundItemInventory(data) {
  return request({
    url: '/ware/wmsOutboundItemInventory',
    method: 'post',
    data: data
  })
}

// 修改出库明细库存关联
export function updateWmsOutboundItemInventory(data) {
  return request({
    url: '/ware/wmsOutboundItemInventory',
    method: 'put',
    data: data
  })
}

// 删除出库明细库存关联
export function delWmsOutboundItemInventory(relationId) {
  return request({
    url: '/ware/wmsOutboundItemInventory/' + relationId,
    method: 'delete'
  })
}
